<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:api');

Route::post('test','Controller@test');
Route::post('EmployeeSignup','Controller@EmployeeSignup');
Route::post('EmployeeSignin','Controller@EmployeeSignin');
Route::post('CustomerSignup','Controller@CustomerSignup');
Route::post('EditCustomerProfile','Controller@EditCustomerProfile');
Route::post('CustomerPhoneEdit','Controller@CustomerPhoneEdit');
Route::post('CustomerPwdChange','Controller@CustomerPwdChange');
Route::post('CustomerSignin','Controller@CustomerSignin');
Route::get('CustomerSearch','Controller@CustomerSearch');
Route::post('AddVRStation','Controller@AddVRStation');
Route::post('EditVRStation','Controller@EditVRStation');
Route::post('AddTax','Controller@AddTax');
Route::get('ViewTax','Controller@ViewTax');
Route::get('VerifyEmail','Controller@VerifyEmail');

Route::post('AddBalance','Controller@AddBalance');
Route::post('CloseBalance','Controller@CloseBalance');
Route::post('GetClosingBalance','Controller@GetClosingBalance');

Route::get('ViewAllVRStations','Controller@ViewAllVRStations');
Route::get('DeleteChild','Controller@DeleteChild');

Route::post('AddRateHour','Controller@AddRateHour');
Route::post('EditRateHour','Controller@EditRateHour');
Route::get('ViewAllRateHours','Controller@ViewAllRateHours');
Route::post('AddAgreement','Controller@AddAgreement');
Route::post('EditAgreement','Controller@EditAgreement');
Route::get('ViewAgreement','Controller@ViewAgreement');

Route::get('DeleteVRStation','Controller@DeleteVRStation');
Route::get('DeleteRateHour','Controller@DeleteRateHour');
Route::get('DeleteAgreement','Controller@DeleteAgreement');

Route::post('AddBooking','Controller@AddBooking');
Route::post('MultipleBookings','Controller@MultipleBookings');
Route::post('UpdateBooking','Controller@UpdateBooking');

Route::post('AddBalance','Controller@AddBalance');
Route::post('TestSignPhoto','Controller@TestSignPhoto');